=== debian/changelog ===
patoline (0~20121030) unstable; urgency=low

  * Sync with upstream

 -- Florian Hatat <florian.hatat@univ-savoie.fr>  Tue, 30 Oct 2012 10:32:36 +0100

patoline (0~20120715) unstable; urgency=low

  * Update patoline sources.
  * New trigger to generate ocamlfind's META file in libtypography-ocaml-dev.
  * Add patoline-driver-gl.
  * Add patoline-mode.

 -- Florian Hatat <florian.hatat@univ-savoie.fr>  Sun, 15 Jul 2012 19:43:32 +0200

patoline (0~20120621) unstable; urgency=low

  * New upstream with math kerning and a new patofig.
  * Forgot dypgen in Build-depends.

 -- Florian Hatat <florian.hatat@univ-savoie.fr>  Thu, 21 Jun 2012 11:14:16 +0200

patoline (0~20120615) unstable; urgency=low

  * Sync with upstream.
  * Build only bytecode when ocamlopt is unavailable.
  * Try to comply with OCaml Task Force policy.

 -- Florian Hatat <florian.hatat@univ-savoie.fr>  Sat, 16 Jun 2012 15:00:53 +0200

patoline (0~20120610) unstable; urgency=low

  * New upstream release.

 -- Florian Hatat <florian.hatat@univ-savoie.fr>  Sun, 10 Jun 2012 20:37:28 +0200

patoline (0~20120423) unstable; urgency=low

  * Initial release.

 -- Pierre-Etienne Meunier <pierreetienne.meunier@gmail.com>  Mon, 23 Apr 2012 20:37:28 +0200
