=== debian/control ===
Source: patoline
Section: ocaml
Priority: extra
Maintainer: Florian Hatat <florian.hatat@univ-savoie.fr>
Uploaders: Tom Hirschowitz <tom.hirschowitz@univ-savoie.fr>
Build-Depends: debhelper (>= 7.0.50~), dh-ocaml, ocaml-base-nox, ocaml-findlib, dypgen (>= 0.20120619), libcamomile-ocaml-dev, ocaml-findlib, libzip-ocaml-dev, libcamlimages-ocaml-dev, liblablgtk2-gl-ocaml-dev, liblablgl-ocaml-dev, libcairo-ocaml-dev, libsqlite3-ocaml-dev, libocamlnet-ocaml-dev, libcryptokit-ocaml-dev
Standards-Version: 3.9.3
Homepage: http://www.patoline.com/

Package: patoline
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${F:OCamlRun}, libdypgen-ocaml-dev (>= 0.20120619), libcamomile-ocaml-dev, ocaml-findlib, patoline-fonts, libtypography-ocaml-dev, libzip-ocaml, libcamlimages-ocaml
Description: Digital typography system written in OCaml
 Patoline is a digital typography system, similar to TeX or Microsoft Word, but
 using an up-to-date language and algorithm, and leveraging the power of
 present-day computers. In particular:
 .
  * The amount of memory we have today is in no way comparable to what Knuth
    had when he first wrote TeX in the 1970s.
  * Also, the choice of our favourite programming language is no more limited
    by "what compiles on all machines of the laboratory".
  * The global network has changed: today, nobody knows anyone on the net.

Package: patoline-driver-gl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${F:OCamlRun}, patoline, liblablgl-ocaml-dev
Description: OpenGL output driver for Patoline

Package: patoline-fonts
Architecture: all
Section: fonts
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-oflb-asana-math | ttf-oflb-asana-math
Description: Fonts for patoline
 This package contains core OpenType fonts for typesetting texts
 using Patoline.

Package: libtypography-ocaml-dev
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}, ${F:OCamlRun}, libdypgen-ocaml-dev (>= 0.20120619), libcamomile-ocaml-dev, ocaml-findlib, libzip-ocaml-dev, libcamlimages-ocaml-dev
Description: Library of typographic primitives for OCaml

Package: patoline-mode
Architecture: all
Depends: xemacs21-nomule | emacsen
Recommends: patoline, patoline-driver-gl
Description: Emacs mode for Patoline
Enhances: patoline
